Marianne ANSSI

CERT-FR

Centre gouvernemental de veille, d'alerte et de réponse aux attaques informatiques

logo ANSSI
Informations utiles

Que faire en cas d'intrusion ?

Les systèmes obsolètes

Liens utiles

 

L'ANSSI recrute

 

 

Les documents du CERT-FR

Publications récentes

Les alertes en cours

Les bulletins d'actualité

Les notes d'information

Année en cours Archive

 

Les Flux RSS du CERT-FR

Flux RSS complet

RSS

Flux RSS des alertes

RSS

Flux RSS SCADA

RSS

 

CERTA-2007-AVI-275

Imprimer ce document

Version PDF

À propos du CERT-FR

Le CERT-FR

Nous contacter

Contact us ( Drapeau anglais )

A propos du site

Communauté CSIRT

Les CSIRT

Le FIRST

L'EGC

 
Archives du CERT-FR

Année 2017 Archive

Année 2016 Archive

Année 2015 Archive

Année 2014 Archive

Année 2013 Archive

Année 2012 Archive

Année 2011 Archive

Année 2010 Archive

Année 2009 Archive

Année 2008 Archive

Année 2007 Archive

Année 2006 Archive

Année 2005 Archive

Année 2004 Archive

Année 2003 Archive

Année 2002 Archive

Année 2001 Archive

Année 2000 Archive

 

S . G . D . S . N
Agence nationale
de la sécurité des
systèmes d'information

République Française Paris, le 25 juin 2007
No CERTA-2007-AVI-275-001

Affaire suivie par :

CERTA

AVIS DU CERTA

Objet : Multiples vulnérabilités dans Ingres


Conditions d'utilisation de ce document : http://www.certa.ssi.gouv.fr/certa/apropos.html
Dernière version de ce document : http://www.certa.ssi.gouv.fr/site/CERTA-2007-AVI-275

Gestion du document


Tableau 1: Gestion du document
Référence CERTA-2007-AVI-275-001
Titre Multiples vulnérabilités dans Ingres
Date de la première version 22 juin 2007
Date de la dernière version 25 juin 2007
Source(s) Bulletins de sécurité Computer Associates du 21 juin 2007
Pièce(s) jointe(s) Aucune

Une gestion de version détaillée se trouve à la fin de ce document.

1 Risque

Exécution de code arbitraire à distance.

2 Systèmes affectés

  • Ingres 2006 version 9.0.4 ;
  • Ingres r3 ;
  • Ingres 2.6 ;
  • Ingres 2.5.

Les versions vulnérables d'Ingres sont intégrées dans les produits suivants :

  • Advantage Data Transformer r2.2 ;
  • AllFusion Enterprise Workbench r1.1, 1.1 SP1, r7, r7.1 ;
  • AllFusion Harvest Change Manager r7, r7.1 ;
  • BrightStor ARCserve Backup v9 (Linux seulement), r11.1, r11.5 (Unix, Linux et Mainframe Linux) ;
  • BrightStor ARCserve Backup for Laptops and Desktops r11.5 ;
  • BrightStor Enterprise Backup (Unix seulement) t10.5 ;
  • BrightStor Storage Command Center r11.5 ;
  • BrightStor Storage Resource Manager r11.5 ;
  • CleverPath Aio Business Rules Expert r10.1 ;
  • CleverPath Predictive Analysis Server r3 ;
  • DocServer 1.1 ;
  • eTrust Admin v8, v8.1, r8.1 SP1, r8.1 SP2 ;
  • eTrust Audit r8 SP2 ;
  • eTrust Directory r8.1 ;
  • eTrust IAM Suite r8.0 ;
  • eTrust IAM Toolkit r8.0, r8.1 ;
  • eTrust Identity Manager r8.1 ;
  • eTrust Network Forensics r8.1 ;
  • eTrust Secure Content Manager r8 ;
  • eTrust Single Sign-On r7, r8, r8.1 ;
  • eTrust Web Access Control 1.0 ;
  • Unicenter Advanced Systems Management r11 ;
  • Unicenter Asset Intelligence r11 ;
  • Unicenter Asset Portfolio Management r11 r2.1, r11.3 ;
  • Unicenter CCS r11 ;
  • Unicenter Database Command Center r11.1 ;
  • Unicenter Desktop and Server Management r11 ;
  • Unicenter Desktop Management Suite r11 ;
  • Unicenter Enterprise Job Manager r1 SP3, r1 SP4 ;
  • Unicenter Job Management Option r11 ;
  • Unicenter Lightweight Portal 2 ;
  • Unicenter Management Portal r3.1.1 ;
  • Unicenter Network and Systems Management r3.0, r11 ;
  • Unicenter Network and Systems Management - Tiered - Multi Platform r3.0 0305, r3.1 0403, r11.0 ;
  • Unicenter Patch Management r11 ;
  • Unicenter Remote Control 6, r11 ;
  • Unicenter Service Accounting r11, r11.1 ;
  • Unicenter Service Assure r2.2, r11, r11.1 ;
  • Unicenter Service Catalog r11, r11.1 ;
  • Unicenter Service Delivery r11.0, r11.1 ;
  • Unicenter Service Intelligence r11 ;
  • Unicenter Service Metric Analysis r3.0.2, r3.5, r11, r11.1 ;
  • Unicenter ServicePlus Service Desk 5.5 SP3, 6.0, 6.0 SP1, r11, r11.1, r11.2 ;
  • Unicenter Software Delivery r11 ;
  • Unicenter TNG 2.4, 2.4.2, 2.4.2J ;
  • Unicenter Workload Control Center r1 SP3, r1 SP4 ;
  • Unicenter Web Services Distributed Management 3.11, 3.50 ;
  • Wily SOA Manager 7.1.

3 Résumé

De multiples vulnérabilités affectant la base de données Ingres permettent l'exécution de code arbitraire à distance.

4 Description

Sept vulnérabilités affectant la base de données Ingres ont été rendues publiques. Plusieurs de ces vulnérabilités permettent l'exécution de code arbitraire à distance, sans authentification préalable. L'exploitation d'une de ces vulnérabilités se fait par l'intermédiaire de paquets malformés envoyés aux services iigcc (port 10916/tcp) et iigcd (port 10923/tcp).

5 Solution

Se référer au bulletin de sécurité de l'éditeur pour l'obtention des correctifs (cf. section Documentation).

6 Documentation

Gestion détaillée du document

22 juin 2007
version initiale.
25 juin 2007
ajout des produits affectés intégrant une version vulnérable d'Ingres, ajout des références CVE et d'un bulletin de sécurité Computer Associates.


CERTA
2014-01-17
Premier Ministre / Secrétariat Général de la Défense et de la Sécurité Nationale / Agence nationale de la sécurité des systèmes d'information webmestre Dernière mise à jour : le 2017-04-26